\documentclass[twoside,11pt, a4paper, footinclude=true, headinclude=true, cleardoublepage=empty]{scrbook}
\input{classicthesis-config}
\input{configs}
% \usepackage[linedheaders,parts,pdfspacing,dottedtoc,eulerchapternumbers]{classicthesis}
\newcommand*{\ATLASLATEXPATH}{latex/}
% \usepackage{\ATLASLATEXPATH atlaspackage}
% Useful macros
\usepackage{\ATLASLATEXPATH atlasphysics}

\usepackage{amssymb}
\usepackage{color} % où xcolor selon l'installation
\definecolor{Prune}{RGB}{99,0,60}
\usepackage{mdframed}
\usepackage{multirow} %% Pour mettre un texte sur plusieurs rangées
\usepackage{multicol} %% Pour mettre un texte sur plusieurs colonnes
\usepackage{scrextend} %Forcer la 4eme  de couverture en page pair
\usepackage{tikz}
\usepackage{graphicx}
\usepackage[absolute]{textpos} 
\usepackage{colortbl}
\usepackage{array}
%\RequirePackage{geometry}% That nicely create a one-page template
%\geometry{textheight=100ex,textwidth=40em,top=30pt,headheight=30pt,headsep=30pt,inner=80pt}
\usepackage{geometry}
\usepackage{bm}
\usepackage{amsfonts}
% \usepackage{fancyhdr}
\usepackage{multirow}
\usepackage{units}
\usepackage{dsfont}

\usepackage{feynman}
\usepackage{xcolor}
\numberwithin{figure}{chapter}
\numberwithin{table}{chapter}
\numberwithin{equation}{chapter}

\usepackage{placeins}

\renewcommand{\baselinestretch}{1.3}
\def\signed #1{{\leavevmode\unskip\nobreak\hfil\penalty50\hskip2em
  \hbox{}\nobreak\hfil(#1)%
    \parfillskip=0pt \finalhyphendemerits=0 \endgraf}}

    \newsavebox\mybox
    \newenvironment{aquote}[1]
      {\savebox\mybox{#1}\begin{quote}}
          {\signed{\usebox\mybox}\end{quote}}


\renewcommand{\cfttabpresnum}{} % get rid of "table"
\renewcommand{\cftfigpresnum}{}

\makeatletter
\newcommand{\useopenany}{\@twosidefalse}
\newcommand{\useopenright}{\@twosidetrue}
\makeatother

%\usepackage[backend=biber,style=authoryear,dashed=false,sorting=nty, maxcitenames=2]{biblatex} % already in classicthesis-config


\usepackage{setspace}

\usepackage{feynmf}
% see for infos https://wiki.physik.uzh.ch/cms/latex:feynman

\addbibresource{references.bib} %Imports bibliography file
\addbibresource{bib/ATLAS.bib}
\addbibresource{bib/ATLAS-useful.bib}
\addbibresource{bib/CMS.bib}
\addbibresource{bib/ConfNotes.bib}
\addbibresource{bib/PubNotes.bib}
% taken from https://twiki.cern.ch/twiki/pub/AtlasProtected/HiggsCrossSection/Higgs_paper.bib
\addbibresource{bib/Higgs_paper.bib}




% Adding notes
\usepackage{xargs}                      % Use more than one optional parameter in a new commands
\usepackage[dvipsnames]{xcolor}  % Coloured text etc.
% 
\usepackage[colorinlistoftodos,prependcaption,textsize=tiny]{todonotes}
\newcommandx{\unsure}[2][1=]{\todo[linecolor=red,backgroundcolor=red!25,bordercolor=red,#1]{#2}}
\newcommandx{\change}[2][1=]{\todo[linecolor=blue,backgroundcolor=blue!25,bordercolor=blue,#1]{#2}}
\newcommandx{\info}[2][1=]{\todo[linecolor=OliveGreen,backgroundcolor=OliveGreen!25,bordercolor=OliveGreen,#1]{#2}}
\newcommandx{\improvement}[2][1=]{\todo[linecolor=Plum,backgroundcolor=Plum!25,bordercolor=Plum,#1]{#2}}
\newcommandx{\thiswillnotshow}[2][1=]{\todo[disable,#1]{#2}}
% example from: https://tex.stackexchange.com/questions/9796/how-to-add-todo-notes

\IfFileExists{./selective-compilation.tex}{\input{selective-compilation}}{}
\IfFileExists{./linenumbers.tex}{\input{linenumbers}}{}

% Define the thesis titles in english and french
\newcommand{\titlefr}{Recherche de la production ttH(bb) dans le canal lepton+jets et étiquetage de quarks de saveur lourde par apprentissage profond dans l'expérience ATLAS}
\newcommand{\titleen}{Search for $\bm{t\bar{t}H\;(H\rightarrow b\bar{b})}$ Production in the Lepton + Jets Channel and Quark Flavour Tagging with Deep Learning at the ATLAS Experiment}

\begin{document} 
\pagenumbering{roman}

\include{FrontBackMatter/titlepage}

% \include{FrontBackMatter/titlepage}
% \newpage
% \thispagestyle{empty}
% \include{FrontBackMatter/dedication}

\useopenany
% \include{FrontBackMatter/acknowledgements}

\include{FrontBackMatter/abstract}
\useopenright %% HERE: be careful that it does not screw up the page numbering -> on which side of the page and where the chapters start
\include{FrontBackMatter/contents}
\cleardoublepage
\pagenumbering{arabic}

% \listoftodos[Notes]
%%%%%%%%%%%%%%--------------- Introduction ---------------%%%%%%%%%%%%%%
\include{introduction/introduction}

%%%%%%%%%%%%%%--------------- theory and experimental setup ---------------%%%%%%%%%%%%%%
\part{Overview}\label{part:overview}

\include{background/theory}
\include{background/ATLAS-experiment}
\include{background/physics-hadron-colliders}
\include{background/ttH}

%%%%%%%%%%%%%%--------------- Methodology part ---------------%%%%%%%%%%%%%%
\part{Methodology}\label{part:methodology}

\include{methodology/object-reconstruction}

\include{methodology/machine-learning}
% \include{methodology/statistical-methods}\label{chap:statistics}


%%%%%%%%%%%%%%--------------- flavour tagging part ---------------%%%%%%%%%%%%%%
\part{Heavy-Flavour Tagging}\label{part:ftag}
\include{b-tagging/intro_ftag}
\include{b-tagging/DL1-training}
\include{b-tagging/DL1-pflow}
\include{b-tagging/DL1-vr}
\include{b-tagging/outlook-ftag}


  
% \part{Associated Higgs Top-Quark-Pair production with the Higgs decaying into two $b$-quarks}
\part{Associated production of a Higgs Boson and a Top-Quark pair with $H\rightarrow bb$ decay}\label{part:analysis}

\include{ttH-Analysis/analysis-overview}
\include{ttH-Analysis/analysis-strategy}
\include{ttH-Analysis/analysis-results}
\include{ttH-Analysis/analysis-outlook}

\part{Conclusion}\label{part:V}

\include{conclusion/conclusion}

\appendix

\part{Appendices}\label{part:VI}
\include{b-tagging/hp-optimisation-appendix}
\include{ttH-Analysis/tth-appendix}
\include{FrontBackMatter/french-summary}

\include{FrontBackMatter/acronyms}
\include{FrontBackMatter/acknowledgements}

\printbibliography[
heading=bibintoc,
title={References}
] 

\clearpage

% \include{FrontBackMatter/lists}

\medskip

\include{FrontBackMatter/back-cover}
\end{document}